local _, cClass = UnitClass("player")

if (cClass ~= "WARLOCK") then
	return
end

--local Quartz = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
--local QuartzProc = Quartz:GetModule('Procs')
local QuartzProc = LibStub("AceAddon-3.0"):GetAddon("QuartzProc")

function QuartzProc:returnProcList()
local tmpList = {
		[18093] = { -- Pyroclasm
			name = GetSpellInfo(18093),
			expires = 0,
			color = {1, 0, 0}, -- red
			isAura = true,
		},
		[47283] = { -- Empowered Imp
			name = GetSpellInfo(47283),
			length = 8,
			color = {0.93, 0.98, 0.51}, -- Light-Goldenrod
		},
		[54277] = { -- Backdraft
			name = GetSpellInfo(54277),
			length = 15,
			color = {1, 0, 0.5}, --purple-ish
		},
		[63321] = { -- Life Tap (20% spirit glyph buff)
			name = GetSpellInfo(63321),
			length = 40,
			color = {0, 0.5, 1}, -- blue-ish
		},
		[47241] = { -- Metamorphosis
			name = GetSpellInfo(47241),
			color = {0.55, 0, 0.80}, -- Purple
			expires = 0,
			isAura = true,
		},
		[50589] = { -- Immolation Aura (Demon/Meta only)
			name = GetSpellInfo(50589),
			color = {1, 0.5, 0}, -- red-yellow
			expires = 0,
			isAura = true,
		},
		[63167] = { -- Decimation
			name = GetSpellInfo(63167),
			color = {0.80, 0.20, 0}, -- deep red-orange
			expires = 0,
			isAura = true,
			useName = true,
		},
		[47985] = { -- VoidWalker Sacrifice
			name = GetSpellInfo(47985),
			color = {0, 0.5, 1}, -- blue-ish
			expires = 0,
			isAura = true,
			useName = true,
		},
		[71165] = { -- Molten Core (Added v2.2)
			name = GetSpellInfo(71165),
			color = {1, 0, 0.5}, --purple-ish
			expires = 0,
			isAura = true,
			useName = true,
		},
		[64371] = { -- Eradication (Added v2.2)
			name = GetSpellInfo(64371),
			color = {0.93, 0.98, 0.51}, -- Light-Goldenrod
			expires = 0,
			isAura = true,
			useName = true,
		},
		[17941] = { -- Shadow Trance (Added v2.2)
			name = GetSpellInfo(17941),
			color = {1, 0, 0.5}, -- purple-ish
			expires = 0,
			isAura = true,
			useName = true,
		},
		[34936] = { -- Backlash (Added v3.0)
			name = GetSpellInfo(34936),
			color = {1, 0.5, 0}, -- red-yellow
			expires = 0,
			isAura = true,
			useName = true,
		},
		
		[53414] = { -- Elemental oath (buff from shammy) (Added v2.2)
			name = GetSpellInfo(53414),
			color = {0.25, 0.5, 0.75}, -- light blue
			length = 15,
			optionsOrder = 600,
			ptype = 'general',
		}
}
return tmpList
end