local _, cClass = UnitClass("player")

if (cClass ~= "WARRIOR") then
	return
end

--local Quartz = LibStub("AceAddon-3.0"):GetAddon("Quartz3")
--local QuartzProc = Quartz:GetModule('Procs')
local QuartzProc = LibStub("AceAddon-3.0"):GetAddon("QuartzProc")

function QuartzProc:returnProcList()
local tmpList = {
		[52437] = { -- Sudden Death
			name = GetSpellInfo(52437),
			length = 10,
			color = {0.7, 0.1, 0.1}, -- red-ish
		},
		[60503] = { -- Taste for Blood
			name = GetSpellInfo(60503),
			length = 9,
			color = {1, 0.5, 0}, -- orange-ish
		},
		[46924] = { -- Bladestorm
			name = GetSpellInfo(46924),
			length = 6,
			color = {0.93, 0.98, 0.51}, -- Light-Goldenrod
		},
		[871] = { -- Shield Wall *untested*
			name = GetSpellInfo(871),
			color = {0.7, 0.1, 0.1}, -- red-ish
			length = 12,
		},
		[12975] = { -- Last Stand *untested*
			name = GetSpellInfo(12975),
			color = {0.7, 0.1, 0.1}, -- red-ish
			length = 20,
		},
		[46916] = { -- Slam! (Triggered by Bloodsurge)
			name = GetSpellInfo(46916),
			color = {1, 0, 0.5}, -- purple-ish
			--length = 5,
			isAura = true, -- patch 3.3 workaround fix
			expires = 0, -- patch 3.3 workaround fix
		},
		[50227] = { -- Sword and Board
			name = GetSpellInfo(50227),
			color = {0, 0, 1}, -- blue
			-- length = 5,
			isAura = true, -- patch 3.3 workaround fix
			expires = 0, -- patch 3.3 workaround fix
		},
}
return tmpList
end